xmltooling::StreamInputSource::StreamBinInputStream Class Reference

A Xerces input stream that wraps a C++ input stream. More...

`#include <xmltooling/util/ParserPool.h>`

Inheritance diagram for xmltooling::StreamInputSource::StreamBinInputStream:

## Public Member Functions

| StreamBinInputStream (std::istream &is)
| Constructs a Xerces input stream around a C++ input stream reference.

## Detailed Description

A Xerces input stream that wraps a C++ input stream.

## Constructor & Destructor Documentation

## StreamBinInputStream()

xmltooling::StreamInputSource::StreamBinInputStream::StreamBinInputStream | ( | std::istream & | is | ) |

Constructs a Xerces input stream around a C++ input stream reference.

Parameters

  is | reference to an input stream

The documentation for this class was generated from the following file:

- xmltooling/util/ParserPool.h